let options = {
  message: "",
  diapason_akk: [],
  answer_sleep: [2,8],
  file_list: [],
  save_id_users: "0",
  answering_user_turned: "0",
  messages_for_answer: "",
  answer_status: "0"
};

// получение данных с формы при нажатии
$('#start_answering').on('click', async function () {
    // Получение данных из textarea - @ЮЗЕРНЕЙМЫ
  options.file_list = [];
  let lines2 = $('#add_file_textarea').val().split(/\n/);
  for (var i = 0; i < lines2.length; i++) {
    if (/\S/.test(lines2[i])) {
      options.file_list.push($.trim(lines2[i]));
    }
  }

  if ($('#save_id_users').is(':checked')){
    options.save_id_users = '1';
  } else {
    options.save_id_users = '0';
  }

  if ($('#answering_user_turned').is(':checked')){
    options.answering_user_turned = '1';
  } else {
    options.answering_user_turned = '0';
  }

  options.message = $('#text_textarea').val();
  let json = JSON.stringify(options);

  let this_class = $(this).hasClass("btn-success");
  if (this_class == true) {
    $(this).removeClass('btn-success');
    $(this).addClass('btn-danger');
    $(this).text("Остановить автоответчик");
    $('#log li').remove();
    eel.answering_machine(json);
  } else {
    $(this).removeClass('btn-danger');
    $(this).addClass('btn-success');
    $(this).text("Запустить автоответчик");
    console.log('stopped');
    eel.stopped('answer') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
  }

});

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#start_answering').removeClass('btn-danger');
    $('#start_answering').addClass('btn-success');
    $('#start_answering').text("Запустить автоответчик");
}

window.addEventListener("beforeunload", function (e) {        
  eel.stopped('answer')
});

$('#set_sleep_sending').on('click', async function () {
  $('#set_sleep_modal').modal('hide');
  options.answer_sleep[0] = $('#answer_sleep_from').val();
  options.answer_sleep[1] = $('#answer_sleep_before').val();
});

// ОБРАБОТЧИК НАЖАТИЯ КАРТИНКА
$('#add_img').on('click', async function () {
  let img_res = await eel.get_image_for_message()();//тут нужно вставить путь на картинку которую выбрал пользователь
  console.log(img_res)
  if (img_res !== "" && img_res !== 0 && img_res != false) {// Демонстрация изображения если есть
    $('#myimage').attr('src', img_res[0]);
    $.each(img_res, function(index, value){
      let text = $("#add_file_textarea").val();
      $('#add_file_textarea').val(text + 'web/' + value + '\n')
    })
    $("#add_file_form").removeClass('d-none');
    // $('#add_file_textarea').val(text + 'web/' + img_res + '\n')
  }
});

$('#select_accounts').on('click', async function () {
  options.diapason_akk = [];
  load_accounts();
});

$('#save_messages').on('click', async function () {
  $("#text_textarea").val('save_messages@1');
});

$('#repost_channel').on('click', async function () {
  $("#text_textarea").val('repost@https://t.me/notcoin/733');
});

$('#repost_hidden_channel').on('click', async function () {
  $("#text_textarea").val('repost_hidden@https://t.me/notcoin/733');
});

$('#sendbot_channel').on('click', async function () {
  $("#text_textarea").val('sendbot@PostBot@63cdb7581c7ae');
});

$('#select_accounts_apply').on('click', async function () {
  $('#select_accounts_modal').modal('hide');
  let from = 1;
  let before = $('#table_users >tbody >tr').length;
  //Запускаем цикл по всей таблице
  for (let i = from; i <= before; i++) {
    let type_bg = $('#table_users tr').eq(i).attr("class");
    if (type_bg == "bg_selected") {
      //Получаем номер телефона
      phone_user = $('#table_users tr').eq(i).children('#phone').html();
      options.diapason_akk.push(phone_user);
    }
  }
  $("#account_num").removeClass('d-none');
  $("#account_num").text(options.diapason_akk.length);
});


eel.expose(log_answer);
function log_answer(log_line) {
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}


// Автоответчик
let answer_num = 2;
$('#answer_sms_add').on('click', async function () {
  multi_dialog = await eel.paid_func('multi_dialog')();
  if(multi_dialog == false){
    error('Модуль не активирован!')
    return
  }
  $('#answer_sms').append('<label class="mt-2 answer_sms_cl">Ответ №' + answer_num++ + '</label>');
  $('#answer_sms').append('<textarea class="form-control answer_sms_text" rows="7">' + '</textarea>');
  $('#answer_sms').append('<input class="input-sm form-control mt-1 answer_sms_key" type="text" placeholder="Ключевое слово для ответа">' + '</input>');
  // <input id="key_answering" type="text" class="input-sm form-control mt-1" placeholder="Ключевое слово"></input>

  $('#answer_sms_dell').removeClass('d-none');
});

function answer_text(){
  let from = 0
  let before  = $('.answer_sms_cl').length
  let mass_text = []
  mass_text.push([$('#text_textarea_answering').val(),$('#key_answering').val()]);
  for (let i = from; i < before; i++) {
    let text = $('.answer_sms_text').eq(i).val();
    let key = $('.answer_sms_key').eq(i).val();
    console.log(text, key)
    mass_text.push([text, key]);
  }
  console.log(before)
  return mass_text
}


$('#answer_sms_dell').on('click', async function () {
  let count = $("#answer_sms label").last().text().split('№')[1]
  answer_num = Number(count)
  $("#answer_sms label").last().remove();
  $("#answer_sms textarea").last().remove();
  $("#answer_sms input").last().remove();
  if(answer_num == 2){
    $('#answer_sms_dell').addClass('d-none');
  }
});




$('#answering_check').on('click', function () {
  let this_class = $('#alerts_color').hasClass("alert-success");
  if (this_class == true) {
    $('#alerts_color').removeClass('alert-success');
    $('#alerts_color').addClass('alert-primary');
    $('#answering_check_text').text("Включить мультидиалог в автоответчике?");
    $('#sms_answer_check').addClass('d-none');
    options.answer_status = '0';
    // $('#answering_log_block').addClass('d-none');
    // $('#log_div').css('height', '397px');
    $('#start_answer').addClass('d-none');
  } else {
    $('#alerts_color').removeClass('alert-primary');
    $('#alerts_color').addClass('alert-success');
    $('#answering_check_text').text("Мультидиалог активирован!");
    $('#write_text_answering').modal('show');
    $('#sms_answer_check').removeClass('d-none');
    options.answer_status = '1';
    // $('#answering_log_block').removeClass('d-none');
    // $('#log_div').css('height', '250px');
  }
});
$('#sms_answer_check').on('click', function () {
  $('#write_text_answering').modal('show');
});
$('#get_text_answering').on('click', function () { 
  // options.messages_for_answer = $('#text_textarea_answering').val();
  options.messages_for_answer = answer_text()
  $('#write_text_answering').modal('hide');
  console.log(options.messages_for_answer);
});


// ===================================================

$('#save_massage').on('click', async function () {
  options.answer_sleep[0] = Number($('#answer_sleep_from').val());
  options.answer_sleep[1] = Number($('#answer_sleep_before').val());
  options.message = $('#text_textarea').val();
  if ($('#save_id_users').is(':checked')){ options.save_id_users = "1";} else {options.save_id_users = "0";}
  if ($('#answering_user_turned').is(':checked')){ options.answering_user_turned = "1";} else {options.answering_user_turned = "0";}

  localStorage.setItem('text_send_answering_machine', JSON.stringify(options));
});

$('#get_save_massage').on('click', async function () {
  let options_me = JSON.parse(localStorage.getItem('text_send_answering_machine'));
  options.answer_sleep = options_me.answer_sleep;
  options.answer_status = options_me.answer_status;
  options.answering_user_turned = options_me.answering_user_turned;
  options.diapason_akk = options_me.diapason_akk;
  options.file_list = options_me.file_list;
  options.message = options_me.message;
  options.messages_for_answer = options_me.messages_for_answer;
  options.save_id_users = options_me.save_id_users;
  $('#text_textarea').val(options_me.message)
  $('#answer_sleep_from').val(options_me.answer_sleep[0])
  $('#answer_sleep_before').val(options_me.answer_sleep[1])
  // ==================
  if(options_me.answer_status == "1"){
    $("#alerts_color").prop( 'checked', true )
    $('#alerts_color').removeClass('alert-primary');
    $('#alerts_color').addClass('alert-success');
    $('#answering_check_text').text("Мультидиалог активирован!");
    $('#sms_answer_check').removeClass('d-none');
    $("#answering_check").prop( 'checked', true )

    let messagesArray = options.messages_for_answer
    let resultString = '';
    for (let i = 0; i < messagesArray.length; i++) {
      let message = messagesArray[i][0];
      let keywords = messagesArray[i][1].split(',').join(', '); // разделение ключевых слов и объединение с запятой и пробелом
      resultString += `<br>Сообщение (${i + 1}): ${message} , Ключевые слова (${i + 1}): ${keywords}`;
    }
    log_answer(`Автоответчик восстановлен с последнего запуска: <br> Главное сообщение: <br> ${options.message} <br> Мультидиалог: ${resultString}`)
  }else{
    log_answer(`Автоответчик восстановлен с последнего запуска: <br> Главное сообщение: <br> ${options.message} <br> Мультидиалог: отключен`)
  }
  // ==================
  if(options_me.save_id_users == 1)
      $("#save_id_users").prop( 'checked', true )  // checked
  else
      $("#save_id_users").prop( 'checked', false )  // unchecked
  if(options_me.answering_user_turned == 1)
      $("#answering_user_turned").prop( 'checked', true )  // checked
  else
      $("#answering_user_turned").prop( 'checked', false )  // unchecked
});